:root {
  --color-primary-blue: #009dca;
  --color-primary-grey: #434f55;
  --color-primary-grey_50: rgba(67, 79, 85, 0.5);
  --color-primary-grey_10: rgba(67, 79, 85, 0.2);
  --color-primary-turqoise: #379f95;
  --color-primary-blue-2: #129fb8;
  --color-primary-green: #619f31;

  --color-blue-darker: #007697;

  /**
  Override the default patternfly font configuration
   */
  --pf-v5-global--FontFamily--text: "Trebuchet MS", helvetica, arial, sans-serif;
  --pf-v5-global--FontFamily--heading: "Trebuchet MS", helvetica, arial, sans-serif;
  --pf-v5-global--FontFamily--text--vf: "Trebuchet MS", helvetica, arial, sans-serif;
  --pf-v5-global--FontFamily--heading--vf: "Trebuchet MS", helvetica, arial, sans-serif;

  --pf-v5-global--FontSize--4xl: 36px !important;
  --pf-v5-global--FontSize--3xl: 29px !important;
  --pf-v5-global--FontSize--2xl: 25px !important;
  --pf-v5-global--FontSize--xl: 21px !important;
  --pf-v5-global--FontSize--lg: 18px !important;
  --pf-v5-global--FontSize--md: 14px !important;
  --pf-v5-global--FontSize--sm: 13px !important;
  --pf-v5-global--FontSize--xs: 11px !important;
  --pf-v5-global--FontWeight--normal: 400 !important;
  --pf-v5-global--FontWeight--bold: 700 !important;
  --pf-v5-global--LineHeight--sm: 1.3 !important;
  --pf-v5-global--LineHeight--md: 1.5 !important;
}

.pf-v5-c-masthead {  
  height: 74px !important;  
  background-color: white !important;  
  border-bottom: 2px solid var(--color-primary-grey) !important;
}

.pf-v5-c-masthead .pf-v5-c-toolbar { 
 height: 74px !important;  
 background-color: white !important;  
 border-bottom: 1px solid var(--color-primary-grey) !important;
}

.pf-v5-c-page__header {
  height: 74px !important;
  background-color: white !important;
  border-bottom: 2px solid var(--color-primary-grey) !important;
}

.pf-v5-c-button.pf-m-plain {
  color: var(--color-primary-grey) !important;
}

.pf-v5-c-menu-toggle {
  --pf-v5-c-menu-toggle--Color: white !important;
  --pf-v5-c-menu-toggle--BackgroundColor: var(--color-blue-darker) !important;
  --pf-v5-c-menu-toggle--hover--after--BorderBottomColor: transparent !important;
  --pf-v5-c-menu-toggle--focus--after--BorderBottomColor: transparent !important;
  --pf-v5-c-menu-toggle--active--after--BorderBottomColor: transparent !important;
}

.pf-v5-c-menu__list-item:hover {
  --pf-v5-c-menu__list-item--BackgroundColor: transparent;
  --pf-v5-c-menu__list-item--Color: black;
}

#page-sidebar {
  --pf-v5-c-page__sidebar--BackgroundColor: var(--color-primary-grey_10) !important;

}

.pf-v5-c-nav {
  --pf-v5-c-nav__link--Color: black;
  --pf-v5-c-nav__link--hover--BackgroundColor: var(--color-primary-grey) !important;
  --pf-v5-c-nav__link--focus--BackgroundColor: var(--color-primary-grey) !important;
  --pf-v5-c-nav__link--active--BackgroundColor: var(--color-primary-grey) !important;

  --pf-v5-c-nav__list--PaddingTop: 0 !important;
}

/**
Remove the borders of the form controls
 */
.pf-v5-c-form-control:before {
  border-style: unset !important;
  border-block-start-color: unset !important;
  border-block-start-width: unset !important;
  border-block-end-color: unset !important;
  border-block-end-width: unset !important;
  border-inline-start-color: unset !important;
  border-inline-start-width: unset !important;
  border-inline-end-color: unset !important;
  border-inline-end-width: unset !important;
}

/**
Remove the borders of the form controls
 */
.pf-v5-c-form-control:after {
  border-block-end: unset !important;
}

/**
Add the correct form control border
 */
.pf-v5-c-form-control {
  border: 2px solid var(--color-primary-grey_10);
  padding: 6px 5px 6px 15px !important;
  height: 40px !important;
}
.pf-v5-c-form-control input {
  line-height: 8px !important;
}

.pf-v5-c-form-control>:is(input,select,textarea):focus {
  outline: none !important;
}

/** Color titles and form labels in the darker blue shade (like in the uku feedback form) */
.pf-v5-c-title,
.pf-v5-c-form__label-text {
  color: var(--color-blue-darker) !important;
}

/** UKU Feedback form has labels on top of input fields, we do the same */
.pf-v5-c-form.pf-m-horizontal .pf-v5-c-form__group {
  display: table-column !important;
}

.pf-v5-c-button {
  --pf-v5-c-button--m-primary--Color: white;
  --pf-v5-c-button--m-link--Color: var(--color-blue-darker);
  --pf-v5-c-button--m-primary--BackgroundColor: var(--color-blue-darker);
  border-radius: 0 !important;
}

/* TODOs
Font-Size: 21px

 */

